Name:       aspectjweaver 
Version:    1.6.12
Release:    4%{?dist}
Summary:    Java byte-code weaving library
Group:      Development/Libraries
License:    EPL
URL:        http://eclipse.org/aspectj/

# wget -nd http://www.eclipse.org/downloads/download.php?file=/tools/aspectj/aspectj-1.6.12-src.jar
# jar xf aspectj-1.6.12-src.jar aspectjweaver1.6.12-src.jar
Source0:    aspectjweaver1.6.12-src.jar
# This build.xml file was adapted from the Ubuntu package. The src jar has no build scripts.
Source1:    aspectjweaver-build.xml
Source2:    http://repo1.maven.org/maven2/org/aspectj/aspectjweaver/1.6.12/aspectjweaver-1.6.12.pom
Patch0:     aspectjweaver-build-fixes.patch

BuildRequires:   java-devel
BuildRequires:   jpackage-utils
BuildRequires:   ant
BuildRequires:   objectweb-asm
BuildRequires:   apache-commons-logging
Requires:        java
Requires:        objectweb-asm
BuildArch:       noarch

%description
The AspectJ Weaver supports byte-code weaving for aspect-oriented
programming (AOP) in java.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
API documentation for %{summary}.


%prep
%setup -q -c
%patch0 -p1
cp %{SOURCE1} build.xml
# JRockit is not open source, so we cannot build against it
rm org/aspectj/weaver/loadtime/JRockitAgent.java

%build
LANG=en_US.ISO8859-1 CLASSPATH=$( build-classpath objectweb-asm/asm commons-logging ) ant
ant javadoc

%install
install -d -m 0755 ${RPM_BUILD_ROOT}/%{_javadir}
install -m 0644 build/%{name}.jar ${RPM_BUILD_ROOT}/%{_javadir}/%{name}.jar

install -d -m 0755 ${RPM_BUILD_ROOT}/%{_mavenpomdir}
install -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_mavenpomdir}/JPP-%{name}.pom

install -d -m 0755 ${RPM_BUILD_ROOT}/%{_javadocdir}
cp -rp javadoc ${RPM_BUILD_ROOT}/%{_javadocdir}/%{name}

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/*

%changelog
* Wed Feb 15 2012 Andy Grimm <agrimm@gmail.com> 1.6.12-4
- Add better comments, reference POM source URL

* Wed Feb 15 2012 Andy Grimm <agrimm@gmail.com> 1.6.12-3
- add commons-logging buildreq

* Tue Feb 14 2012 Andy Grimm <agrimm@gmail.com> 1.6.12-2
- Add javadoc
- Fix description

* Tue Dec 20 2011 Andy Grimm <agrimm@gmail.com> 1.6.12-1
- Initial Package
